Subject: Re: Netchannles: first stage has been completed. Further ideas.

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 21 Jul 2006 11:19:00 +0400

On Thu, Jul 20, 2006 at 02:21:57PM -0700, Ben Greear ([email-masked]) wrote:
> Out of curiosity, is it possible to have the single producer logic
> if you have two+ ethernet interfaces handling frames for a single
> TCP connection?  (I am assuming some sort of multi-path routing
> logic...)

I do not think it is possible with additional logic like what is
implemented in softirqs, i.e. per cpu queues of data, which in turn will
be converted into skbs one-by-one.

> Thanks,
> Ben

-- 
	Evgeniy Polyakov